package com.yd.api.customer.service;

import java.util.List;

import com.yd.api.customer.vo.CustomerFortuneRequestVO;
import com.yd.api.customer.vo.CustomerFortuneResponseVO;
import com.yd.api.customer.vo.CustomerQueryRequestVO;
import com.yd.api.customer.vo.CustomerQueryResponseVO;
import com.yd.api.customer.vo.CustomerVO;
import com.yd.api.customer.vo.register.RegisterRequestVO;
import com.yd.api.customer.vo.register.RegisterResponseVO;

public interface CustomerService {

	List<CustomerVO> listAllCustomer();
	
	CustomerQueryResponseVO findByPage(CustomerQueryRequestVO customerQueryRequestVO);
	
	CustomerFortuneResponseVO selectByCustomerId(CustomerFortuneRequestVO customer);

    RegisterResponseVO register(RegisterRequestVO register);
}
